# Create purchaseCreditMemoLines
Creates a purchase credit memo line in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/purchaseCreditMemoLines({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of a purchaseCreditMemoLine object.
## Response
If successful, this method returns ```201 Created``` response code and a purchaseCreditMemoLine object in the response body.
## Example
Request
Here's an example of the request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseCreditMemoLines({id})
Content-type: application/json
{
    "documentId": "dddddddd-3333-4444-5555-eeeeeeeeeeee",
    "lineType": "Item",
    "lineObjectNumber": "1896-S",
    "description": "Athens Desk",
    "unitOfMeasureCode": "PCS",
    "unitCost": 250.00,
    "quantity": 2,
    "discountPercent": 5,
    "discountAppliedBeforeTax": true
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json
{
    "id": "aaaaaaaa-0000-1111-2222-bbbbbbbbbbbb",
    "documentId": "dddddddd-3333-4444-5555-eeeeeeeeeeee",
    "sequence": 10000,
    "itemId": "bbbbbbbb-1111-2222-3333-cccccccccccc",
    "accountId": "",
    "lineType": "Item",
    "lineObjectNumber": "1896-S",
    "description": "Athens Desk",
    "unitOfMeasureId": "cccccccc-2222-3333-4444-dddddddddddd",
    "unitOfMeasureCode": "PCS",
    "unitCost": 250.00,
    "quantity": 2,
    "discountAmount": 25.00,
    "discountPercent": 5,
    "discountAppliedBeforeTax": true,
    "amountExcludingTax": 475.00,
    "taxCode": "VAT10",
    "taxPercent": 10,
    "totalTaxAmount": 47.50,
    "amountIncludingTax": 522.50,
    "invoiceDiscountAllocation": 0.00,
    "netAmount": 475.00,
    "netTaxAmount": 47.50,
    "netAmountIncludingTax": 522.50,
    "itemVariantId": "",
    "locationId": "aaaaaaaa-6666-7777-8888-bbbbbbbbbbbb"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_purchasecreditmemoline
dynamics_purchasecreditmemoline_get
dynamics_purchasecreditmemoline_delete
PATCH purchaseCreditMemoLine<dynamics_purchasecreditmemoline_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemoline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchasecreditmemoline_create/
